/*
 * ImageCalibration
 *
 * Copyright (C) 2006 Guilhem Bonnefille <guilhem.bonnefille@gmail.com>
 *  
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software 
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#import "CalibratingPointModel.h"

@implementation CalibratingPointModel

- (id) init
{
  self = [super init];
  if (self) {
    // Invalidate coord on image
    point = NSMakePoint(-1, -1);
    latitude = 0;
    longitude = 0;
  }

  return self;
}

- (BOOL) isValid
{
  return point.x != -1;
}

- (void) setPoint: (NSPoint) thePoint
{
  point = thePoint;
}

- (NSPoint) point
{
  return point;
}

- (void) setLatitude: (t_latitude) theLatitude
{
  latitude = theLatitude;
}

- (void) setLongitude: (t_longitude) theLongitude
{
  longitude = theLongitude;
}

- (t_latitude) latitude
{
  return latitude;
}

- (t_longitude) longitude
{
  return longitude;
}

@end


