/*
 * ImageCalibration
 *
 * Copyright (C) 2006 Guilhem Bonnefille <guilhem.bonnefille@gmail.com>
 * Inspired by Gautier Taravella on Sun Jun 20 2004.
 *  
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software 
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#import <Foundation/Foundation.h>
#import <AppKit/AppKit.h>

@interface CalibratingPointView : NSObject {
  NSPoint point;
  NSRect crossBounds;
  NSRect numberBounds;
  int number;
  BOOL selected;
}

- (id) initWithNumber: (int) number;
- (id) initWithPoint: (NSPoint) point andNumber: (int) number;

// Model access functions

- (void) resetPoint;
/**
 * Set the new point value.
 * Returns YES if the new value is different than previous one.
 */
- (BOOL) setPoint: (NSPoint) point;
- (NSPoint) getPoint;
- (void) setNumber: (int) number;

// Graphics functions

- (void) draw: (NSPoint) loc inRect: (NSRect) rect;

// Selection
- (BOOL) selectAt: (NSPoint) loc;
- (void) unselect;
- (void) select;
@end
